Bug 38739 - New port: nc6
Summary: New port: nc6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-05-30 14:20 UTC by Filippo Natali
Modified: 2002-07-01 21:39 UTC (History)
0 users

See Also:


Attachments
file.shar (1.66 KB, text/plain)
2002-05-30 14:20 UTC, Filippo Natali
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Filippo Natali 2002-05-30 14:20:01 UTC
Nc6 (netcat6) is a netcat clone with ipv6 support.
Comment 1 Filippo Natali 2002-06-06 08:20:25 UTC
Hi,

I noticed an error in the Makefile I submitted within shar output in the report fix section:

wrong:
PORTVERSION=   0.2p3

correct:
PORTVERSION=   0.2pre3

Bye,
Filippo Natali
-- 
Widestore srl
Via Aldighieri 25-25/b - 44100 Ferrara / Italy
Tel 0532 242425  Fax 0532 242298 - 0532 213000
email: info@widestore.net
web: http://www.widestore.net
Comment 2 Tilman Linneweh 2002-06-06 10:01:35 UTC
>  Hi,
>  
>  I noticed an error in the Makefile I submitted within shar output in the report fix section:
>  
>  wrong:
>  PORTVERSION=   0.2p3
>  
>  correct:
>  PORTVERSION=   0.2pre3

No, thats wrong. Have you checke with portlint?

A PORTVERSION may only contain one letter between two numbers.
See portlint source for detail:
/^[0-9]*[A-Za-z]?[0-9]*(\.[0-9]*[A-Za-z]?[0-9]*)*$/)$

I guess this should be mentioned in Porters Handbook. But i am too busy
at the Moment.

regards arved
Comment 3 Filippo Natali 2002-06-10 11:44:20 UTC
This is the correct shar output (checked with portlint):


# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#       nc6
#       nc6/Makefile
#       nc6/pkg-descr
#       nc6/pkg-comment
#       nc6/pkg-plist
#       nc6/distinfo
#
echo c - nc6
mkdir -p nc6 > /dev/null 2>&1
echo x - nc6/Makefile
sed 's/^X//' >nc6/Makefile << 'END-of-nc6/Makefile'
X# New ports collection makefile for:   nc6
X# Date created:                30 May 2002
X# Whom:                        Filippo Natali <filippo@widestore.net>
X#
X# $FreeBSD$
X#
X
XPORTNAME=      nc6
XPORTVERSION=   0.2p3
XCATEGORIES=    net
XMASTER_SITES=  ftp://ferrara.linux.it/pub/ipv6/sources/
XDISTNAME=      nc6-0.2pre3
X
XMAINTAINER=    filippo@widestore.net
X
XMAN1=          nc6.1
XGNU_CONFIGURE= yes
X
X.include <bsd.port.mk>
END-of-nc6/Makefile
echo x - nc6/pkg-descr
sed 's/^X//' >nc6/pkg-descr << 'END-of-nc6/pkg-descr'
XNetcat 6 is a netcat clone with IPv6 support. 
XIt is designed to be tiny, extensible, and elegant, 
Xand it makes use of the new extended BSD socket APIs. 
X
XAuthor: Mauro Tortonesi <mauro@ferrara.linux.it>
X
XWWW: http://project6.ferrara.linux.it/
END-of-nc6/pkg-descr
echo x - nc6/pkg-comment
sed 's/^X//' >nc6/pkg-comment << 'END-of-nc6/pkg-comment'
XNetcat 6 is a netcat clone with IPv6 support
END-of-nc6/pkg-comment
echo x - nc6/pkg-plist
sed 's/^X//' >nc6/pkg-plist << 'END-of-nc6/pkg-plist'
Xbin/nc6
END-of-nc6/pkg-plist
echo x - nc6/distinfo
sed 's/^X//' >nc6/distinfo << 'END-of-nc6/distinfo'
XMD5 (nc6-0.2pre3.tar.gz) = 76b754ababe6b9f2074c6e01ecb69a56
END-of-nc6/distinfo
exit



Best regards,
Filippo
Comment 4 Hye-Shik Chang freebsd_committer 2002-07-01 21:39:39 UTC
State Changed
From-To: open->closed

new port added, thanks!